//This is a sample .pov file that demonstrates placing the objects in a scene.
//Simply render this file. Warning! Glass ahead! This may take a long time. <G>
//I hereby release the data contained in this archive to the public domain.
//Robert A. Mickelsen  71042,751 

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

#declare BezFlatness = 0.01
#declare BezUStep    = 3
#declare BezVStep    = 3


camera {  //set up for "left-handed" coordinate system where y=up
  //location <0, 7, -50> //for straight-on view
  location <25, -5, -25> //for dramatic look-up-at view
  direction <0, 2, 0> //change to <0, 2.448, 0> for straight-on view
  sky <0, 1, 0>
  up <0, 1, 0>
  right     <1.3333,  0.0,  0.0>
  look_at   <0, 0, 0> //just about the dead center of the decanter
}

object {   // positioned as descibed in the group project announcement
  light_source {
    <-5000, 5000, -5000>
    color  red 1.0 green 1.0 blue 1.0
  }
}

object {   // positioned as described in the group project announcement
  light_source {
    <5000, 5000, -5000>
    color  red 1.0 green 1.0 blue 1.0
  }
}

object {  //surface for objects to sit on
  plane {<0, 1, 0>, -8.2}  //to place the bottoms of the objects at y*0, 
  texture {                //translate them y*8.2
    pigment {
      checker
      color Black
      color White
    }
    finish {
      ambient 0.1
      diffuse 0.3
      reflection 0.25
      specular 1.0
      roughness 0.003
    }
  scale <4, 4, 4>
  }
  rotate <0, -45, 0>
} 

 
#include "fshdcntr.inc" // the texture file
#include "fshgob.inc"  // the file that contains the goblets
#include "decanter.inc" // the file that contains the decanter

