//This file contains the two goblets for the decanter set.
//These objects were modeled in MORAY and so the vector coordinate values use
//the "right-handed" system where z=up. The objects are rotated at the end of
//the file so they will work in the standard POV "left-handed" system.

#declare Gobletsphere1 = object {
  sphere {<0,0,0>,1}
  scale <1.584544, 1.585000, 3.922718>
  translate <0, 0, 0.438408>
}

#declare Gobletsphere2 = object {
  sphere {<0,0,0>,1}
  scale <1.505317, 1.505000, 3.726582>
  translate <0, 0, 0.438408>
}

#declare Gobletclip1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.25, 1.25, 1>
  translate <0, 0, 4.164876>
}

#declare Goblettop = difference { //the glass goblet top
  object { Gobletsphere1 }
  object { Gobletsphere2 }
  object { Gobletclip1 }
  texture {
    GlassFrit
  }
  translate <0, 0, 0.309892>
}

#declare Basecone2 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  scale <1.5, 1.5, 5>
  rotate <-180, 0, 0>
  translate <0, 0, -3>
}

#declare Basetorus2 = quartic {
           // Torus MinRadius=   0.250   MajRadius=   1.750
           < 1.000,  0.000,  0.000,  0.000,  2.000,
             0.000,  0.000,  2.000,  0.000,  -6.250,
             0.000,  0.000,  0.000,  0.000,  0.000,
             0.000,  0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  0.000,  2.000,  0.000,
             -6.250,   0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  6.000, 0.000,  9.000 >
  scale <0.75, 0.75, 0.75>
  translate <0, 0, -8>
}

#declare Base3 = union { //the conic base, rounded with a torus
  object { Basecone2 }
  object { Basetorus2 }
  texture {
    BaseTexture
    translate <-1, 0, 0>
  }
}

#declare Base4 = union { //the base of the second goblet
  object { Basecone2 }   
  object { Basetorus2 }
  texture {
    BaseTexture
    translate <2, 0, 0>  //translation insures textures are not identical
  }
}

#declare Stembead2 = object { //the stembead that connects the base to the top
  sphere {<0,0,0>,1}
  texture {
    StemBeadTex
  }
  scale <0.5, 0.5, 0.5>
  translate <0, 0, -2.947915>
}

#declare Gobletbottom2 = union {
  object { Base3 }
  object { Stembead2 }
  scale <0.9, 0.9, 0.9>
  translate <0, 0, -0.811>
}

#declare Gobletbottom3 = union {
  object { Base4 }
  object { Stembead2 }
  scale <0.9, 0.9, 0.9>
  translate <0, 0, -0.811>
}

#declare Gobletlipwrap = quartic { //the lip-wrap
           // Torus MinRadius=   0.075   MajRadius=   1.925
           < 1.000,  0.000,  0.000,  0.000,  2.000,
             0.000,  0.000,  2.000,  0.000,  -7.423,
             0.000,  0.000,  0.000,  0.000,  0.000,
             0.000,  0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  0.000,  2.000,  0.000,
             -7.423,   0.000,  0.000,  0.000,  0.000,
             1.000,  0.000,  7.400, 0.000,  13.690 >
  texture {
    LipWrapTex
  }
  scale <0.65, 0.65, 0.65>
  translate <0, 0, 3.5>
}

union {   // Goblet1
  object { Goblettop }
  object { Gobletbottom2 }
  object { Gobletlipwrap }
  scale <0.85, 0.85, 0.85>
  rotate <-90, 0, 0>  //rotate so y=up
  translate <-6, -1.25, 0>
}

union {   // Goblet2
  object { Goblettop }
  object { Gobletbottom3 }
  object { Gobletlipwrap }
  scale <0.85, 0.85, 0.85>
  rotate <-90, 0, 0>  //rotate so y=up
  translate <6, -1.25, 0>
}
//any transformations after this point assume that y=up
